/// <reference types="node" />
/// <reference types="node" />
import EventEmitter from "events";
export default class DHTOnlineBase extends EventEmitter {
    private id;
    private bootstrapped;
    private graph;
    private connectedTo;
    private encoding;
    constructor(id: Buffer, { encoding }?: {
        encoding?: string | undefined;
    });
    private _data;
    get data(): {};
    set data(value: {});
    private _online;
    get online(): string[];
    broadcast(data: any, ttl?: number): void;
    getPeerData(id: Buffer | string): any;
    protected onAddPeer(id: Buffer): void;
    protected onRemovePeer(id: Buffer): void;
    protected onGetBroadcast(message: Buffer, id: Buffer): void;
    private _broadcastData;
    private _hasSeenPeer;
    private _setPeer;
    private _ensurePeer;
    private _addPeerConnection;
    private _removePeerConnection;
    private _bootstrapFrom;
    private _getBootstrapInfo;
    private _recalculate;
    private _maybeHexify;
}
//# sourceMappingURL=dhtOnlineBase.d.ts.map